# Avorion Script API Documentation

Home Functions Search
Search:

GalaxyMap GalaxyMap
Properties
showAllianceInfo
showBackgroundShipAreas
showCustomColorLayer
showFactionLayer
showGates
showNotes
showWormholes
visible
Member Functions
clearCustomColors
createContainer
createWindow
getCoordinatesAtScreenPosition
getCoordinatesScreenPosition
getHoveredCoordinates
getSelectedCoordinates
getSelectedCoordinatesScreenPosition
hide
lookAt
lookAtSmooth
removeHighlightedArea
resetHighlightedAreas
resetJumpRangeArea
setCustomColors
setHighlightedArea
setHighlightedSectors
setJumpRangeArea
setSelectedCoordinates
show
switchToCraft
switchToSector

# GalaxyMap

This is the galaxy map UI. Whenever input events are passed to the Galaxy Map, they are first passed to the "onGalaxyMapKeyboardEvent" and "onGalaxyMapMouseButtonEvent" etc. callbacks. If they aren't consumed by those, they are passed through the UI. If they aren't consumed by the UI, they are passed to the "onGalaxyMapKeyboardDown", "onGalaxyMapMouseDown", "onGalaxyMapMouseMove", etc. callbacks.
This object is only available on the client.

function GalaxyMap()

Returns

A new instance of GalaxyMap

property bool showAllianceInfo |

property bool showBackgroundShipAreas |

property bool showCustomColorLayer |

property bool showFactionLayer |

property bool showGates |

property bool showNotes |

property bool showWormholes |

property bool visible | [read-only]

function var clearCustomColors()

Returns

nothing

function UIContainer createContainer()

function Window createWindow(Rect rect)

function int, int getCoordinatesAtScreenPosition(vec2 coordinates)

function float, float getCoordinatesScreenPosition(ivec2 coordinates)

function int, int getHoveredCoordinates()

function int, int getSelectedCoordinates()

function float, float getSelectedCoordinatesScreenPosition()

function var hide()

Returns

nothing

function var lookAt(int x, int y)

Returns

nothing

function var lookAtSmooth(int x, int y)

Returns

nothing

function var removeHighlightedArea(var key)

Returns

nothing

function var resetHighlightedAreas()

Returns

nothing

function var resetJumpRangeArea(string name)

Returns

nothing

function var setCustomColors()

Returns

nothing

function var setHighlightedArea(vec2 lower, vec2 upper, var color, var key)

Returns

nothing

function var setHighlightedSectors(table_t areaIn, var key)

Returns

nothing

function var setJumpRangeArea(string name, ivec2 center, float radius, bool canPassBlocked, var includeGateConnections, var color, bool dotted)

Returns

nothing

function var setSelectedCoordinates(int x, int y)

Returns

nothing

function var show(int x, int y)

Returns

nothing

function var switchToCraft(int x, int y, int factionIndex, string shipName)

Returns

nothing

function var switchToSector(int x, int y)

Returns

nothing

Overview
Home Functions Search
Search:
Callbacks
Callbacks Alliance [Client] Callbacks Alliance [Server] Callbacks Alliance [Server] Callbacks Entity Callbacks Galaxy Callbacks Player Callbacks Player [Client] Callbacks Sector Callbacks Server Callbacks
Predefined Functions & Example Scripts
Command Entity FactionDatabase PlanGenerator Player Sector Server UsableInventoryItem
Common Components
Boarding BspTree CargoBay CargoLoot ControlUnit CrewComponent DeletionTimer DirectFlightPhysics DockingClamps DockingParent DockingPositions Durability EnergySystem Engine FighterAI Hangar HyperspaceEngine InteractionText InventoryItemLoot Owner Physics Plan ReadOnlyBoarding ReadOnlyBspTree ReadOnlyCargoBay ReadOnlyControlUnit ReadOnlyCrew ReadOnlyDeletionTimer ReadOnlyEnergySystem ReadOnlyEngine ReadOnlyFighterAI ReadOnlyHangar ReadOnlyHyperspaceEngine ReadOnlyInteractionText ReadOnlyOwner ReadOnlyPhysics ReadOnlyPlan ReadOnlyShipAI ReadOnlyShipSystem ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoAI [Server] [Client] [Server] [Client] ReadOnlyTorpedoLauncher ReadOnlyTurretBases ReadOnlyVelocity ReadOnlyWeapons ReadOnlyWormHole Shield ShipAI ShipSystem StructuralIntegrity SystemUpgradeLoot Thrusters Torpedo TorpedoAI TorpedoLauncher Turret TurretAI TurretBases Velocity Weapons WormHole
Common Objects
AllianceMember AllianceRank BlockPlan BlockPlanBlock BlockStatistics Box Captain Color ControlUnitSeat CraftDesign CraftStatsOverview Crew CrewMan CrewProfession DebugInfo dvec2 dvec3 dvec4 Entity EntityDescriptor FighterTemplate Format GameSettings Group HighResolutionTimer Inventory InventoryTurret ivec2 ivec3 ivec4 Language Mail Material Matrix ModManager NamedFormat PlanBspTree PlanetSpecifics PlanGenerationStage PlanPart PlanStyle PlayerId PluralForm Profiler QuadTree Random Rarity Ray ReadOnlyEntity Rect Relation Scenario SectorView Seed Sphere Squad SystemUpgradeTemplate Timer Tooltip TooltipLine TorpedoShaft TorpedoTemplate TradingGood TurretDesign TurretDesignPart TurretTemplate UsableInventoryItem Uuid VanillaInventoryItem vec2 vec3 vec4 Version Weapon
Client Components
EntityIcon EntityTooltip PlanMesh ReadOnlyIcon ReadOnlyPlanMesh ReadOnlyScriptUI ReadOnlyTooltip ScriptUI
Client Objects
Achievements Alliance [Client] CameraKeyFrame CaptainSelectionItem Client ClientSettings ColorSelectionItem CraftDesignSelectionItem Faction [Client] Galaxy [Client] GalaxyMap GameInput GlowFX IconSelectionItem InputWindow InventoryReferenceSelectionItem InventorySelectionItem Keyboard LaserFX Mouse Music PixelIconSelectionItem Planet Player [Client] PlayerWindow RefractionFX Sector [Client] SelectionItem ShipDatabaseEntry [Client] SoundSource StrategyState TargetIndicator TooltipRenderer TurretDesignSelectionItem
Client UI Objects
AllianceEmblem AllianceTab ArrowLine Button [Client] [Client] Button [Client] [Client] CaptainIcon CaptainProfile CheckBox ComboBox ContextMenu CraftPortrait CrewBar Frame Hud InventorySelection Label Line ListBox ListBoxEx MapArrowLine MapIcon MultiLineTextBox NumbersBar Picture PlanDisplayer ProgressBar SavedDesignsSelection ScrollFrame Selection ShipWindow Slider StatisticsBar Tab TabbedWindow TextBox TextField TooltipDisplayer Tree UIArbitraryHorizontalSplitter UIArbitraryVerticalSplitter UIContainer UIElement UIGridSplitter UIHorizontalLister UIHorizontalMultiSplitter UIHorizontalSplitter UIOrganizer UIRect UIRenderer UIVerticalLister UIVerticalMultiSplitter UIVerticalSplitter ValueComboBox Window
Server Components
EntityTransferrer FighterController Loot ReadOnlyEntityTransferrer ReadOnlyFighterController ReadOnlyLoot ReadOnlyTurretController ReadOnlyWreckageCreator TurretController WreckageCreator
Server Objects
Alliance [Server] Faction [Server] Galaxy [Server] Player [Server] ReadOnlySector Sector [Server] Server ShipDatabaseEntry [Server]
Enums
AIState AlliancePrivilege BeamShape BlockShading BlockStructure BlockType BlockType2 BoxType BuildError CaptainGenderId ChatChannel ChatMessageType ComponentType ControlAction ControlActionBit ControlStyle CoolingType CraftStatsOverviewStat CrewProfessionType CrewRank DamageSource DamageType DeletionType Difficulty EntityArrivalType EntityType FighterOrders FighterStartError FighterType FontType ImpactParticles InventoryItemType JumpError KeyboardKey ListBoxEntryType MalusReason MaterialType MoonType MouseButton PlanetType PlanTypeFilter PlayerStateType ProjectileShape RarityType RelationStatus SavedDesignType ScenarioType SectorChangeType ShipAvailability SoundType StatsBonuses TargetIndicatorVisuals TransformationFeature TurretAutoFireMode TurretSlotType WeaponAppearance WeaponCategory

This is the official documentation for the scripting API of Avorion. This documentation is automatically generated and not necessarily complete. Depending on the context in which functions exist, some documentation such as descriptions, return values or variable names or types may be missing.

Work in Progress. Documentation of Avorion Version: 2.5.8 a0d3f0b5b065